[rspec-devel] [ rspec-Bugs-10997 ] Can't run specs without rspec plugin

noreply at rubyforge.org noreply at rubyforge.org
Mon May 21 19:54:09 EDT 2007


Bugs item #10997, was opened at 2007-05-21 19:31
You can respond by visiting: 
http://rubyforge.org/tracker/?func=detail&atid=3149&aid=10997&group_id=797

Category: rails plugin
Group: None
Status: Open
Resolution: None
Priority: 3
Submitted By: Bryan Helmkamp (brynary)
Assigned to: Nobody (None)
Summary: Can't run specs without rspec plugin

Initial Comment:
I'm unable to run the "rake spec" command when I do not have the rspec gem installed, even if I have rspec unpacked into vendor/plugins as described in the installation instructions.

The results are:

$ rake spec
(in /Users/bhelmkamp/p/mcommons_trunk)
rake aborted!
no such file to load -- spec/rake/spectask
/Users/bhelmkamp/p/mcommons_trunk/rakefile:10
(See full trace by running task with --trace)

Running script/spec does work as intended, however this seems to defeat the purpose of extracting the plugin into the source tree.

----------------------------------------------------------------------

Comment By: David Chelimsky (dchelimsky)
Date: 2007-05-21 23:54

Message:
Before investigating this we need to know the versions of all 
relevant software you are using, for example:

* OS X 10.4.9
* Ruby 1.8.6
* RSpec 1.8.2 or RSpec trunk r1643
* Spec::Rails 1.8.2 or Spec::Rails tag r1234...
* Rails 1.2.3 or Rails edge r5645
* Whatever other relevant software.

Without this information it's like solving 1 equation (your 
question) with 5 unknown variables (the versions).

We strongly recommend that you use the latest released version of
RSpec, alternatively the subversion trunk (if you're the bleeding
edge kind of person).

----------------------------------------------------------------------

You can respond by visiting: 
http://rubyforge.org/tracker/?func=detail&atid=3149&aid=10997&group_id=797


More information about the rspec-devel mailing list